package cn.reghao.oss.web.app.service.media;

import cn.reghao.oss.api.dto.media.AudioInfo;
import cn.reghao.oss.api.dto.media.AudioUrl;
import cn.reghao.oss.api.iface.media.AudioFileService;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author reghao
 * @date 2024-02-23 09:10:38
 */
@Service
public class AudioService {
    @DubboReference(check = false)
    private AudioFileService audioFileService;

    public AudioInfo getAudioInfo(String audioFileId) {
        return audioFileService.getAudioInfo(audioFileId);
    }

    public List<AudioUrl> getAudioUrls(String audioFileId, long loginUser) {
        return audioFileService.getAudioUrls(audioFileId, loginUser);
    }
}
